Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Properties | List of all members
Ofcas.Lk.Api.Client.Core.ElementPricelist Class Reference

The element pricelist is a representation of a xml-based elevation configuration. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.ElementPricelist:

## Public Member Functions
ElementPricelistInfo | Refresh ()
OperationInfo | CanEdit (string key, object value)
| This method is not supported. More...
ElementPricelistInfo | Edit (string key, object value)
| This method is not supported. More...
Stream | GetThumbnail (Dictionary< string, object > parameters)
| Gets the thumbnail of the element pricelist based on the parameters. More...
Stream | GetReplacePackage ()
| Gets the replace package of the element pricelist. More...
CalculatedElementPricelist | Calculate (Stream selectionXmlStream, Dictionary< string, object > parameters)
| Calculates the element pricelist based on the selection xml and the parameters. More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
bool | CanDispose ()
| Returns the information about whether the object can be deleted. An object can only be deleted if no children live. More...
IList< Guid > | Children ()
| Returns a list with Id for all children More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Disposable
void | Dispose ()

## Properties
ElementPricelistInfo | Info`[get]`
ElementPricelistContainer | Parent`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
IServiceFactory< IApiService > | ServiceFactory`[get]`
| For internal purposes only. More...
Guid | Id`[get]`
| The unique identifier of the object instance. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...

## Additional Inherited Members
Public Attributes inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
Guid | CoreObjectId => Id
| This property is deprecated. Please use CoreObjectBase.Id instead. More...
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
| CoreObjectBase (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, bool ownsObject=true)
T | CallService< T > (Func< IApiService, T > serviceCall, Guid projectGuid=default(Guid), [CallerMemberName] string callerMethod=null)
| Calls a service function and raises an error if it fails. More...
T | CallServiceWithMessage< T > (Func< IApiService, T > serviceCall, Guid projectGuid=default(Guid), [CallerMemberName] string callerMethod=null)
| Calls a service function and raises an error if it fails. More...
override void | Dispose (bool disposing)
Protected Attributes inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
const string | NotSupportedCauseNotImplemented = "This method is not implemented, therefore not supported."
| Default message for methods which are not supported because they are not implemented. More...
Events inherited from Ofcas.Lk.Api.Client.Core.Disposable
Action< Disposable > | Disposed

## Detailed Description

The element pricelist is a representation of a xml-based elevation configuration.

## Member Function Documentation

## ◆ Calculate()

CalculatedElementPricelist Ofcas.Lk.Api.Client.Core.ElementPricelist.Calculate | ( | Stream | selectionXmlStream,
|  | Dictionary< string, object > | parameters
| ) |  |

Calculates the element pricelist based on the selection xml and the parameters.

Parameters

  selectionXmlStream | The selection xml of the element pricelist as a Stream.
  parameters | The parameters to define the calculated element pricelist. See WellKnownParameterKeys.ElementPricelist.Calculation for details about the keys.

Returns
  Returns a CalculatedElementPricelist containing the prices and a thumbnail.

## ◆ CanEdit()

OperationInfo Ofcas.Lk.Api.Client.Core.ElementPricelist.CanEdit | ( | string | key,
|  | object | value
| ) |  |

This method is not supported.

Returns
  Returns an OperationInfo indicating whether Edit can be called.

## ◆ Edit()

ElementPricelistInfo Ofcas.Lk.Api.Client.Core.ElementPricelist.Edit | ( | string | key,
|  | object | value
| ) |  |

This method is not supported.

Exceptions

  NotSupportedException | Occurs if the method is called.

## ◆ GetReplacePackage()

Stream Ofcas.Lk.Api.Client.Core.ElementPricelist.GetReplacePackage | ( |  | ) |

Gets the replace package of the element pricelist.

Returns
  Returns the replace package as xml stream.

## ◆ GetThumbnail()

Stream Ofcas.Lk.Api.Client.Core.ElementPricelist.GetThumbnail | ( | Dictionary< string, object > | parameters | ) |

Gets the thumbnail of the element pricelist based on the parameters.

Parameters

  parameters | The parameters to define the thumbnail. See WellKnownParameterKeys.ElementPricelist.Thumbnail for details about the keys.

Returns
  Returns a Stream of the thumbnail in the stated format.

The documentation for this class was generated from the following file:

- ElementPricelist.cs